/*!**********************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[3]!./src/Scss/Basics/_Buttons.scss ***!
  \**********************************************************************************************************************************************************************************************************************************************************************************/
a.button,
span.button-alike,
.main-content a.button,
.main-wrapper button,
.ginlined-content .buttons button {
  display: inline-block;
  padding: 5px 20px;
  background: #16423A;
  color: #fff;
  transition: background 1s, color 1s;
  border: none;
  text-align: center;
  box-sizing: border-box;
  text-decoration: none;
  box-shadow: inset 0 0 0 2px #16423A;
}
a.button:hover, a.button:active,
span.button-alike:hover,
span.button-alike:active,
.main-content a.button:hover,
.main-content a.button:active,
.main-wrapper button:hover,
.main-wrapper button:active,
.ginlined-content .buttons button:hover,
.ginlined-content .buttons button:active {
  text-decoration: none;
  background: #fff;
  color: #16423A;
  border: none;
}

a.button.secondary,
span.button-alike.secondary,
.main-content a.button.secondary,
.main-wrapper button.secondary,
.ginlined-content .buttons button.secondary {
  display: inline-block;
  padding: 5px 20px;
  background: #fff;
  color: #16423A;
  transition: background 1s, color 1s;
  border: none;
  text-align: center;
  box-sizing: border-box;
  box-shadow: inset 0 0 0 2px #16423A;
}
a.button.secondary:hover, a.button.secondary:active,
span.button-alike.secondary:hover,
span.button-alike.secondary:active,
.main-content a.button.secondary:hover,
.main-content a.button.secondary:active,
.main-wrapper button.secondary:hover,
.main-wrapper button.secondary:active,
.ginlined-content .buttons button.secondary:hover,
.ginlined-content .buttons button.secondary:active {
  text-decoration: none;
  background: #16423A;
  color: #fff;
  border: none;
}

span.button-alike {
  display: inline-block;
  box-sizing: border-box;
}

a:hover span.button-alike {
  text-decoration: none;
  background: #16423a;
}
a:hover span.button-alike.secondary {
  text-decoration: none;
  background: #16423a;
}

a.button.ghost,
.main-content a.button.ghost,
.main-wrapper button.ghost,
.ginlined-content .buttons button.ghost,
span.button-alike.ghost {
  background: #fff;
  color: #16423A;
  border: 0;
  padding-top: 5px;
  padding-bottom: 5px;
  transition: background 1s, color 1s;
}
a.button.ghost:hover, a.button.ghost:active,
.main-content a.button.ghost:hover,
.main-content a.button.ghost:active,
.main-wrapper button.ghost:hover,
.main-wrapper button.ghost:active,
.ginlined-content .buttons button.ghost:hover,
.ginlined-content .buttons button.ghost:active,
span.button-alike.ghost:hover,
span.button-alike.ghost:active {
  background: #16423A;
  color: #fff;
}

a:hover span.button-alike.ghost,
a:active span.button-alike.ghost {
  text-decoration: none;
  background: #16423A;
  color: #fff;
}

button:disabled {
  background-color: #6A6A6A;
}
button:disabled:hover {
  background-color: #6A6A6A;
}

.to-top-link {
  position: absolute;
  color: #fff;
  top: -60px;
  right: 10px;
  display: block;
  width: 50px;
  height: 50px;
  background: #16423A;
  font-size: 40px;
  line-height: 48px;
  text-align: center;
  border-radius: 50%;
  transition: background 1s, color 1s;
  border: none;
  box-shadow: inset 0 0 0 2px #16423A;
}
.to-top-link:hover, .to-top-link:active {
  text-decoration: none;
  background: #fff;
  color: #16423A;
  border: none;
}
.to-top-link .icon-svg svg {
  width: 30px;
  height: 30px;
  display: inline-block;
  max-height: none;
  max-width: none;
  transform: translateY(-2px);
}

.js .to-top-link {
  bottom: -70px;
  will-change: bottom;
  transition: bottom 0.5s ease-out;
}
.js .to-top-link-visible .to-top-link {
  bottom: 10px;
}

.interaction-buttons {
  margin-bottom: 48px;
  margin-top: -18px;
}

.button-margin-top {
  margin-top: 24px;
}

.button-text {
  font-family: "open_sans", sans-serif;
  font-weight: normal;
}

a.icon-button,
button.icon-button {
  padding-right: 40px !important;
  position: relative;
}
a.icon-button .icon,
button.icon-button .icon {
  position: absolute;
  right: 8px;
  top: 6px;
  width: 18px;
  display: block;
}
a.icon-button .icon svg,
button.icon-button .icon svg {
  height: 20px;
}
a.icon-button.small,
button.icon-button.small {
  padding-right: 35px !important;
}
a.icon-button.small .icon,
button.icon-button.small .icon {
  top: 8px;
}
a.icon-button.small .icon svg,
button.icon-button.small .icon svg {
  height: 18px;
}

a.icon-only-button,
button.icon-only-button {
  padding: 0;
  width: 38px;
  height: 38px;
}
a.icon-only-button .icon,
button.icon-only-button .icon {
  right: auto;
  left: 50%;
  top: 50%;
  width: 24px;
  height: 24px;
  transform: translate(-50%, -50%);
}
a.icon-only-button .icon svg,
button.icon-only-button .icon svg {
  height: 24px;
  max-width: 24px;
  max-height: 24px;
}

a.icon-button.ghost .icon {
  top: 7px;
}

.back-link {
  display: block;
  margin-top: 24px;
}
/*!********************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[3]!./src/Scss/Basics/_Forms.scss ***!
  \********************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
.form-group {
  margin-bottom: 12px;
}
.form-group input[type=text],
.form-group input[type=password],
.form-group input[type=number],
.form-group textarea,
.form-group select {
  width: 100%;
  max-width: 600px;
}
.form-group .error {
  color: #9A3403;
}
.form-group.has-error input,
.form-group.has-error textarea {
  border-color: #9A3403;
}
.form-group .col {
  min-height: 30px;
}
.form-group.form-group--valign-bottom .col {
  display: flex;
  flex-flow: row wrap;
  align-items: flex-end;
}
.form-group.form-group--valign-bottom .col > * {
  width: 100%;
}

.form-group-checkbox .form-group-inner,
.form-group-radio .form-group-inner {
  position: relative;
  padding-left: 25px;
  display: inline-block;
}
.form-group-checkbox .form-group-inner input,
.form-group-radio .form-group-inner input {
  position: absolute;
  left: 0;
  top: 3px;
}

input[type=text],
input[type=password],
input[type=number],
textarea,
select {
  border-radius: 0;
  border: 2px solid #ccc;
  padding: 2px 5px;
  line-height: 24px;
  box-sizing: border-box;
  background: transparent;
}
input[type=text]:invalid,
input[type=password]:invalid,
input[type=number]:invalid,
textarea:invalid,
select:invalid {
  box-shadow: none;
  border-color: #9A3403;
}

select {
  appearance: none;
  padding-right: 30px;
  position: relative;
  background-repeat: no-repeat;
  background-size: 14px;
  background-position-x: calc(100% - 8px);
  background-position-y: 6px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns=%27http://www.w3.org/2000/svg%27 viewBox=%270 0 448 512%27%3E%3Cpath fill=%27currentColor%27 d=%27M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z%27%3E%3C/path%3E%3C/svg%3E");
}

select::-ms-expand {
  display: none;
}

fieldset {
  border: 0;
  padding: 0;
}
fieldset legend {
  font-size: 18px;
  line-height: 24px;
  font-family: "open_sansbold", sans-serif;
  margin: 12px 0;
}

fieldset + fieldset,
fieldset + .actions {
  margin-top: 24px;
}

.input {
  margin-bottom: 12px;
}

.validation {
  padding-right: 30px;
  position: relative;
}
.validation input[type=text],
.validation input[type=number] {
  border-color: #6A6A6A;
}
.validation .validation-mark {
  display: block;
  width: 30px;
  height: 100%;
  text-align: center;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #6A6A6A;
  line-height: 30px;
  font-size: 20px;
}
.validation .validation-mark:after {
  content: "*";
  color: #fff;
  line-height: 30px;
  display: block;
  text-align: center;
}

.correct input[type=text],
.correct input[type=number] {
  border-color: #16423A;
}
.correct .validation-mark {
  background-color: #16423A;
}
.correct .validation-mark:after {
  content: "✔";
}

.error input[type=text],
.error input[type=number] {
  border-color: #9A3403;
}
.error .validation-mark {
  background-color: #9A3403;
}
.error .validation-mark:after {
  content: "︕";
  text-align: left;
}

.error-message {
  color: #9A3403;
  border: 2px solid #9A3403;
  padding: 5px 10px;
  margin-bottom: 24px;
}
.error-message p {
  margin-bottom: 0;
}

.confirmation-message {
  color: #16423A;
  border: 2px solid #16423A;
  padding: 5px 10px;
  margin-bottom: 24px;
}
.confirmation-message p {
  margin-bottom: 0;
}

.control-label {
  display: block;
}

.action {
  margin-top: 12px;
}

form + form {
  margin-top: 24px;
}

fieldset + fieldset {
  border-top: 2px solid #ccc;
  padding-top: 60px;
  margin-top: 24px;
  position: relative;
}
fieldset + fieldset legend {
  position: absolute;
  top: 24px;
}
/*!********************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[3]!./src/Scss/Packages/DdLayout/_layout.scss ***!
  \********************************************************************************************************************************************************************************************************************************************************************************************/
.layout-intro {
  max-width: 60rem;
  margin: 0 auto;
}

.layout-grid {
  display: grid;
  grid-template-columns: minmax(20%, 10rem) 1fr;
  gap: 1rem;
}

.layout__parts {
  display: flex;
  flex-flow: row wrap;
  align-content: flex-start;
  justify-content: flex-start;
  gap: 1rem;
}
.layout__parts .layout__part {
  cursor: pointer;
  width: 100%;
  max-height: 20rem;
}
@media (min-width: 1000px) {
  .layout__parts .layout__part {
    width: calc(50% - 1rem);
  }
}
.layout__parts .layout__part svg {
  max-width: 100% !important;
  max-height: 20rem !important;
  height: auto;
}

.layout__fabric {
  display: grid;
  grid-template-columns: 1fr minmax(20%, 10rem);
  gap: 1rem;
  padding: 1rem;
  box-shadow: inset 10px 10px 0 #16423A, inset -10px -10px 0 #16423A;
  max-height: 2.3em;
  overflow: hidden;
}
.layout__fabric + .layout__fabric {
  margin-top: 2rem;
}
.layout__fabric .layout__canvas {
  max-height: 0;
}
.layout__fabric.active {
  max-height: none;
}
.layout__fabric.active .layout__canvas {
  max-height: none;
}
.layout__fabric.active .fabric__button--select {
  transform: rotate(180deg);
}

.layout__canvas {
  border: 2px solid #6A6A6A;
  position: relative;
  overflow: hidden;
}
.layout__canvas .layout__part {
  cursor: move;
}
.layout__canvas .layout__part.active {
  outline: 1px solid #16423A;
}
.layout__canvas .layout__part.active svg g:last-child {
  fill: #8AA09C;
}
.layout__canvas .layout__part g {
  pointer-events: none;
  user-select: none;
}

.fabric__tools {
  display: flex;
  flex-flow: row wrap;
  align-content: flex-start;
  justify-content: flex-start;
  gap: 0.5rem;
  margin-top: 0.5rem;
}

.layout__tools {
  display: flex;
  flex-flow: row wrap;
  align-content: flex-start;
  justify-content: flex-start;
  gap: 0.5rem;
  margin-top: 0.5rem;
}

.tools__buttons {
  display: flex;
  flex-flow: row wrap;
  align-content: flex-start;
  justify-content: flex-start;
  gap: 0.5rem;
}

.layout__control {
  position: relative;
}
.layout__control .fabric__name {
  padding: 0.4rem 60px 0 0;
}
.layout__control .fabric__button--select {
  position: absolute;
  top: 0;
  right: 0;
}
.layout__control label {
  display: block;
}
.layout__control input,
.layout__control select {
  max-width: 100%;
}

.tools__fields {
  display: flex;
  gap: 0.5rem;
}

.tools__input {
  position: relative;
  padding-right: 5rem;
  padding-top: 0.2rem;
}
.tools__input .control-field {
  width: 4.5rem;
  position: absolute;
  right: 0;
  top: 0;
}

.fabric__option + .fabric__option {
  margin-top: 0.5rem;
}

.layout__sticky {
  position: sticky;
  top: 0;
  z-index: 1000;
  background: #fff;
  border-bottom: 1px solid #ccc;
}

.layout__tools {
  padding: 0.5rem 0;
}

.fabric_template {
  display: none;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/